picard.fingerprint

## Class FingerprintResults

- java.lang.Object
- - picard.fingerprint.FingerprintResults

-     public class FingerprintResults
      extends Object

  Class that is used to represent the results of comparing a read group within a SAM file, or a sample within a VCF against one or more set of fingerprint genotypes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FingerprintResults(File inputFile, String readGroup, String sampleAlias)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResults(MatchResults matchResults)`
    `File` | `getInputFile()`
    `SortedSet<MatchResults>` | `getMatchResults()`
    `String` | `getReadGroup()`
    `String` | `getSampleAlias()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FingerprintResults

          public FingerprintResults(File inputFile,
                                    String readGroup,
                                    String sampleAlias)

  - ### Method Detail

    - #### addResults

          public void addResults(MatchResults matchResults)

    - #### getInputFile

          public File getInputFile()

    - #### getReadGroup

          public String getReadGroup()

    - #### getSampleAlias

          public String getSampleAlias()

    - #### getMatchResults

          public SortedSet<MatchResults> getMatchResults()